# Barry::BoostParser Class Reference

`#include <s11n-boost.h>`

Inheritance diagram for Barry::BoostParser:

[legend]
Collaboration diagram for Barry::BoostParser:

[legend]

List of all members.

## Detailed Description

This Parser turns incoming records (which can be of any record type included in ALL_KNOWN_PARSER_TYPES) into a Boost Serialization stream on the given iostream.

This class is defined completely in the header, so that it is optional for applications to link against the boost libraries.

Definition at line 592 of file s11n-boost.h.

## Public Member Functions

void | ParseRecord (const DBData &data, const IConverter *ic)
| Called to parse sub fields in the raw data packet.

## Member Function Documentation

void Barry::BoostParser::ParseRecord | ( | const DBData & | data,
|  | const IConverter * | ic |
| ) |  |  | `[inline, virtual]`

Called to parse sub fields in the raw data packet.

Implements Barry::Parser.

Definition at line 648 of file s11n-boost.h.

References Barry::DBData::GetDBName().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- s11n-boost.h